Skip to main content
GET
/
v1
/
servers
/
{serverId}
/
search
Search server
curl --request GET \
  --url https://api.magne.app/v1/servers/{serverId}/search \
  --header 'Authorization: Bearer <token>'
{
  "members": [
    {
      "userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "username": "<string>",
      "displayName": "<string>",
      "avatarUrl": "<string>",
      "status": "<string>"
    }
  ],
  "messages": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "channelId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "channelName": "<string>",
      "authorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "authorName": "<string>",
      "authorAvatar": "<string>",
      "content": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "hasAttachments": true
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

serverId
string<uuid>
required

Query Parameters

q
string
required
from
string<uuid>
inChannel
string<uuid>
has
string
before
string
after
string
limit
integer

Response

Success

members
object[]
messages
object[]